import os

import testinfra.utils.ansible_runner

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ["MOLECULE_INVENTORY_FILE"]
).get_hosts("all")


def test_certbot_is_installed(host):
    pkg = host.pip_package.get_packages(pip_path="/opt/python3/certbot/bin/pip")
    assert "certbot" in pkg


def test_certbot_run(host):
    cmd = host.run("/usr/local/bin/certbot --help")
    assert "Certbot can obtain and install HTTPS/TLS/SSL certificates." in cmd.stdout
    assert cmd.succeeded
